[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# TRectF

## Declaration

Source position: types.pp line 147

`type TRectF = packed record`
`public`
`function Union();`
`procedure Offset();`
`property Width: Single; [rw]`
`property Height: Single; [rw]`
``
`case Integer of`
`0: (`
`Left: Single;`
`Top: Single;`
`Right: Single;`
`Bottom: Single;`
`);`
`1: (`
`TopLeft: TPointF;`
`BottomRight: TPointF;`
`);`
`end;`